#include <iostream>
#include <vector>
#include <math.h>
#include <algorithm>

using namespace std;

int main()
{
    int n, k, a;
    cin >> n >> k;
    vector<int> napici;
    for(int i = 0; i < n; i ++){
        cin >> a;
        napici.push_back(abs(a));
    }
    sort(napici.begin(), napici.end());
    int zbir = 0;
    for(int i = 0; i < k - 1; i ++){
        zbir += napici[n - i - 1];
    }
    cout << zbir - napici[0];
    return 0;
}